Subject: bug#44451: closed (Re: bug#44451: 27.1; doc string of `read-char-from-minibuffer')

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Nov 2020 09:14:01 +0000

Your bug report

#44451: 27.1; doc string of `read-char-from-minibuffer'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44451: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44451
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44451: 27.1; doc string of `read-char-from-minibuffer'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 Nov 2020 11:12:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 4 Nov 2020 10:40:01 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
>  "Read a character from the minibuffer, prompting for PROMPT."
> 
> You are not prompted for PROMPT.  You are prompted (for a char)
> with PROMPT.

Fixed.

>  "When HISTORY is a symbol, then allows navigating in a history."
> 
> English: it should be "When...symbol, allow navigating..."

Fixed.

> But it's not clear what "navigating in a history" means.  The
> description of `M-n' etc. isn't clear - or needed.  And what if
> HISTORY is non-nil but not a symbol?

You get an error, I think.

> In any case, I suggest you just say that HISTORY is passed to
> `read-from-minibuffer', which is the case.

That isn't accurate: this function really expects HISTORY to be a
symbol of a history variable.

Subject: 27.1; doc string of `read-char-from-minibuffer'
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Wed, 4 Nov 2020 10:40:01 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

 "Read a character from the minibuffer, prompting for PROMPT."

You are not prompted for PROMPT.  You are prompted (for a char)
with PROMPT.

 "When HISTORY is a symbol, then allows navigating in a history."

English: it should be "When...symbol, allow navigating..."

But it's not clear what "navigating in a history" means.  The
description of `M-n' etc. isn't clear - or needed.  And what if
HISTORY is non-nil but not a symbol?

In any case, I suggest you just say that HISTORY is passed to
`read-from-minibuffer', which is the case.  That function's HISTORY
description is clear and complete, and it involves more than what is
described here.

In GNU Emacs 27.1 (build 1, x86_64-w64-mingw32)
 of 2020-08-12 built on CIRROCUMULUS
Repository revision: 86d8d76aa36037184db0b2897c434cdaab1a9ae8
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.18362
System Description: Microsoft Windows 10 Pro (v10.0.1903.18362.1082)